import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpModule } from '@angular/http';

import { AppComponent } from './app.component';
import { DataSortPipe } from './data-sort.pipe';
import { DataService } from './data.service';

@NgModule({
  declarations: [
    AppComponent,
    DataSortPipe
  ],
  imports: [
    BrowserModule,
    HttpModule
  ],
  providers: [ DataService ],
  bootstrap: [AppComponent]
})
export class AppModule { }
